GET
/v2/providers/fms/apis/api/v2/vendors/{vendorId}/contract/list2609170000(通用) 查看合同列表
# 01
简介
(通用) 查看合同列表
# 02
详细内容
API支持的买家用户地区:韩国
该API用于查看所有当前设置的合同列表,自由合同(NON_CONTRACT_BASED)和一般合同(CONTRACT_BASED)类型的合约都可以查看。
路径
GET/v2/providers/fms/apis/api/v2/vendors/{vendorId}/contract/list
示例端点
https://api-gateway.coupang.com/v2/providers/fms/apis/api/v2/vendors/A00012345/contract/list# 03
Path 参数
| Name | Type | Description |
|---|---|---|
| vendorId* | string | 卖家ID 酷澎分配给卖家的固有代码 e.g. A00012345 |
# 04
响应体
响应消息
| Name | Type | Description |
|---|---|---|
| code | integer | 服务器响应代码
|
| message | string | 服务器响应信息
|
| httpStatus | integer | HTTP
|
| httpStatusMessage | string | HTTP 状态信息 (与服务器响应信息的值相同)
|
| errorMessage | string | 除HTTP Status 200以外,剩下Status 中包含服务器详细失败原因信息
|
| data | object | 合同列表数据
|
| success data.success | boolean | 成功与否 True or false |
| content data.content | object[] | 合同列表
|
| contractId data.content[].contractId | integer | 卖家合同ID e.g. 1, 2 |
| vendorContractId data.content[].vendorContractId | integer | 卖家合同代码 (用于酷澎管理) e.g. -1, 1, 2 |
| sellerId data.content[].sellerId | string | 卖家ID e.g. A00012345 |
| sellerShareRatio data.content[].sellerShareRatio | integer | 该合同中规定的卖家分摊比例(%) e.g. 100 |
| coupangShareRatio data.content[].coupangShareRatio | integer | 该合同中规定的酷澎分摊比例 e.g. 100 |
| gmvRatio data.content[].gmvRatio | integer | 单月销售额比率,单月预算基于酷澎的销售额自动生成 e.g. 100.0 |
| start data.content[].start | string | |
| end data.content[].end | string | |
| type data.content[].type | string | |
| useBudget data.content[].useBudget | boolean | |
| modifiedAt data.content[].modifiedAt | string | |
| modifiedBy data.content[].modifiedBy | string | |
| pagination data.pagination | string |
Response Example
{
"code": 200,
"message": "OK",
"httpStatus": 200,
"httpStatusMessage": "OK",
"errorMessage": "",
"data": {
"success": true,
"content": [
{
"contractId": 1,
"vendorContractId": 2,
"sellerId": "A00012345",
"sellerShareRatio": 100,
"coupangShareRatio": 0,
"gmvRatio": 10,
"start": "2017-03-01 00:00:00",
"end": "2017-12-31 23:59:59",
"type": "CONTRACT_BASED",
"useBudget": true,
"modifiedAt": "2017-09-21 10:57:07",
"modifiedBy": "pronimance"
},
{
"contractId": 15,
"vendorContractId": -1,
"sellerId": "A00013264",
"sellerShareRatio": 100,
"coupangShareRatio": 0,
"gmvRatio": 0,
"start": "2017-09-25 11:40:01",
"end": "2999-12-31 23:59:59",
"type": "NON_CONTRACT_BASED",
"useBudget": true,
"modifiedAt": "2017-09-25 11:40:01",
"modifiedBy": "bcho"
},
{
"contractId": 9962,
"vendorContractId": 7,
"sellerId": "A00012345",
"sellerShareRatio": 100,
"coupangShareRatio": 0,
"gmvRatio": 100,
"start": "2018-01-22 00:00:00",
"end": "2018-12-31 23:59:59",
"type": "CONTRACT_BASED",
"useBudget": true,
"modifiedAt": "2018-01-22 16:07:10",
"modifiedBy": "allie"
}
],
"pagination": null
}
}# 05
错误码
| HTTP | 代码 | 消息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
错误说明
| HTTP | 类型 | 错误消息 | 解决方案 |
|---|---|---|---|
| 401 | 401 (check requested parameter) | 请确认卖家权限。 | 查看卖家ID(vendorid)值是否输入正确 |